export interface StringToken {
    value: string;
}
export interface FunctionToken {
    name: string;
    inside: string;
    fields: string[];
    all: string;
}
export interface TemporalToken {
    value: string;
    type: string;
}
export declare class Compiler {
    pack(code: string, dots?: boolean, trim?: boolean): TemporalToken[];
    restructToken(input: string): FunctionToken;
    remap(code: string, dots?: boolean, trim?: boolean): (FunctionToken | TemporalToken)[];
}
