import { APIFunction, FunctionReturn, ParamType } from "../../structures/APIFunction";
import $createCanvas from "./createCanvas";
import { Data } from "../../structures/Data";
export default class Translate extends APIFunction {
    name: string;
    description: string;
    parameters: {
        name: string;
        description: string;
        type: ParamType;
        required: boolean;
        rest: boolean;
        defaultValue: null;
    }[];
    usage: string;
    returns: FunctionReturn;
    compile: boolean;
    aliases: never[];
    parent: $createCanvas;
    run(d: Data, [x, y]: string[]): Promise<void>;
}
