import { APIFunction, FunctionReturn, ParamType, ParameterDefinition } from "../../structures/APIFunction";
import { Data } from "../../structures/Data";
export default class $data extends APIFunction {
    name: string;
    description: string;
    parameters: ParameterDefinition<ParamType, boolean, boolean>[];
    usage: string;
    returns: FunctionReturn;
    aliases: never[];
    compile: boolean;
    run(d: Data, [path]: string[]): Promise<string>;
}
