import { APIFunction, FunctionReturn, ParamType } from "../../structures/APIFunction";
import { Data } from "../../structures/Data";
export default class Ignore extends APIFunction {
    name: string;
    description: string;
    parameters: ({
        name: string;
        description: string;
        type: ParamType;
        required: boolean;
        rest: boolean;
        defaultValue: null;
    } | {
        name: string;
        description: string;
        type: ParamType;
        required: boolean;
        rest: boolean;
        defaultValue: string;
    })[];
    usage: string;
    returns: FunctionReturn;
    compile: boolean;
    aliases: never[];
    run(d: Data, [code, retrieve]: string[]): Promise<string | undefined>;
}
