import { APIFunction, FunctionReturn, ParamType } from "../../structures/APIFunction";
import { Data } from "../../structures/Data";
import $scope from "./scope";
export default class Return extends APIFunction {
    name: string;
    description: string;
    parameters: {
        name: string;
        description: string;
        type: ParamType;
        required: boolean;
        rest: boolean;
        defaultValue: null;
    }[];
    usage: string;
    returns: FunctionReturn;
    compile: boolean;
    aliases: never[];
    parent: $scope;
    run(d: Data, [internalValue]: string[]): Promise<void>;
}
