import { APIFunction, FunctionReturn } from "../../structures/APIFunction";
import { Data } from "../../structures/Data";
export default class Body extends APIFunction {
    name: string;
    description: string;
    parameters: never[];
    usage: string;
    returns: FunctionReturn;
    aliases: string[];
    compile: boolean;
    run(d: Data): Promise<string>;
}
