import { APIFunction, FunctionReturn, ParamType } from "../../structures/APIFunction";
import { Data } from "../../structures/Data";
import Reply from "./reply";
export default class SetBody extends APIFunction {
    name: string;
    description: string;
    parameters: {
        name: string;
        description: string;
        type: ParamType;
        required: boolean;
        rest: boolean;
        defaultValue: null;
    }[];
    usage: string;
    returns: FunctionReturn;
    compile: boolean;
    aliases: never[];
    parent: Reply;
    run(d: Data, [body]: string[]): Promise<void>;
}
