import { APIFunction, FunctionReturn, ParamType } from "../../structures/APIFunction";
import { Data } from "../../structures/Data";
export default class RandomString extends APIFunction {
    name: string;
    description: string;
    parameters: {
        name: string;
        description: string;
        type: ParamType;
        required: boolean;
        rest: boolean;
        defaultValue: string;
    }[];
    usage: string;
    returns: FunctionReturn;
    aliases: never[];
    compile: boolean;
    run(d: Data, [length]: [(string | undefined)?]): Promise<string>;
}
