const { API } = require('easy-api.ts')

const api = new API({
    dots: false,
    reverse: false,
    logger: {logger}
})

api.route({
    url: '/json/owoify',
    type: 'get',
    code: `
        $if[$query[text]==null;
            $reply[
                $setCode[400]
                $setType[JSON]
                $setBody[{
                    "error": "Missing required 'text'!"
                }]
            ]
            $break
        ]

        $var[owoified;$replaceRegex[$replaceRegex[$query[text];(R|L);g;W];(r|l);g;w]]

        $setCode[400]
        $setType[JSON]
        $setBody[{
            "owoified": "$get[owoified]"
        }]
    `
})

api.load({folder}).then(async () => {
    console.log('Source loaded!')
    await api.connect({
        port: {port},
        host: {host}
    })
})