module.exports["route"] = {
    url: "/owoify",
    method: "GET",
    code: `
        $ignore[This is a custom function to send error, to avoid overcoding.]
        $function[sendError;
            $response[
                $setCode[%param_0%]
                $setType[JSON]
                $setBody[{
                    "success": false,
                    "error": true,
                    "message": "%param_1%"
                }]
            ]
            $break
        ]

        $ignore[Checking required querys.]
        $if[$query[text]==null;$call[sendError;400;Missing required 'text' parameter!]]

        $ignore[OWOIFIYNG...]
        $var[converted;$replaceRegex[$replaceRegex[$query[text];(R|L);W;g];(r|l);w;g]]

        $ignore[API response.]
        $response[
            $setCode[200]
            $setType[JSON]
            $setBody[{
                "success": true,
                "error": false,
                "data": {
                    "owoified": "$get[converted]"
                }
            }]
        ]
    `
};