export declare class Condition {
    /**
     * @static Evaluates a condiiton.
     * @param text The condition to evaluate.
     * @returns {boolean}
     * @example
     * const result1 = Condition.solve('Hello == Hello')
     * const result2 = Condition.solve('1 >= 3')
     */
    solve(text: string): boolean;
    /**
     * Get all valid characters for operators.
     */
    get operators(): string[];
    get fullSymbols(): string[];
}
