import { Data } from "../main";
interface ParseOptions {
    reverse?: boolean;
    comments?: boolean;
    data: Data;
    debug?: boolean;
}
export declare class Interpreter {
    #private;
    /**
     * Parses easy-api.ts code.
     * @param code Code to parse.
     * @param options Parse extra options.
     */
    run(code: string, options: ParseOptions): Promise<Data<true>>;
}
export {};
