import { APIFunction, FunctionReturn, ParamType, ParameterDefinition } from "../../structures/APIFunction";
import { Data } from "../../structures/Data";
export default class CallFunction extends APIFunction {
    name: string;
    description: string;
    parameters: ParameterDefinition<ParamType, boolean, boolean>[];
    usage: string;
    returns: FunctionReturn;
    aliases: string[];
    compile: boolean;
    run(d: Data, [name, ...params]: string[]): Promise<string>;
}
