import { APIFunction, FunctionReturn, ParamType } from "../../structures/APIFunction";
import { Data } from "../../structures/Data";
export default class CreateCallback extends APIFunction {
    name: string;
    description: string;
    parameters: {
        name: string;
        description: string;
        type: ParamType;
        required: boolean;
        rest: boolean;
        defaultValue: null;
    }[];
    usage: string;
    aliases: string[];
    returns: FunctionReturn;
    compile: boolean;
    run(d: Data, [name, code]: string[]): Promise<void>;
}
