import { APIFunction, FunctionReturn, ParamType } from "../../structures/APIFunction";
import { Data } from "../../structures/Data";
export default class RAM extends APIFunction {
    name: string;
    description: string;
    parameters: ({
        name: string;
        description: string;
        type: ParamType;
        required: boolean;
        rest: boolean;
        defaultValue: string;
        enum: string[];
    } | {
        name: string;
        description: string;
        type: ParamType;
        required: boolean;
        rest: boolean;
        defaultValue: string;
        enum?: undefined;
    })[];
    usage: string;
    returns: FunctionReturn;
    compile: boolean;
    aliases: never[];
    run(d: Data, [type, decimals]: string[]): Promise<string>;
}
