import { API, EATS_EVENT, EATS_ROUTE, EATS_API_OPTIONS } from "./structures/API";
import { APIFunction, ParamType } from "./structures/APIFunction";
import { FunctionManager } from "./managers/FunctionManager";
import { DatabaseManager } from "./managers/DatabaseManager";
import { EATS_Error } from "./structures/Error";
import { Addon } from "./structures/Addon";
import { Data } from "./structures/Data";
import { Util } from "./classes/Util";
/**
 * Escapes easy-api.ts code
 * @param {string} str The code to escapw.
 */
declare function Escape(str: string): string;
/**
 * Unescapes easy-api.ts code
 * @param {string} str The code to unescapw.
 */
declare function Unescape(str: string): string;
export { Addon, API, APIFunction, Data, FunctionManager, DatabaseManager, EATS_API_OPTIONS, EATS_EVENT, EATS_Error, EATS_ROUTE, Escape, Unescape, ParamType, Util };
